package com.ffii.lioner.modules.lioner.entity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import java.util.Objects;

/** @author Jason Lam */
@Entity
@Table(name = "search_criteria_template")
public class SearchCriteriaTemplate extends BaseEntity<Long>{

	@NotNull
	@Column
	private Long userId;

    @NotBlank
	@Column
	private String name;
    
    @NotBlank
    @Column
	private String module;
   
    @NotBlank
    @Column(columnDefinition = "JSON") 
	private String criteria;

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getModule() {
        return this.module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getCriteria() {
        return this.criteria;
    }

    public void setCriteria(String criteria) {
        this.criteria = criteria;
    }

}


